#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kmines
Summary: The classical mine sweeper
Group: Games/Boards 
URL: http://www.kde.org/applications/games/kmines/
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: kmines-handbook

%description 
KMines is a classic Minesweeper game. 
The idea is to uncover all the squares without blowing up any mines. When a mine
is blown up, the game is over.

%files 
%_kde_bindir/kmines
%_kde_applicationsdir/kmines.desktop
%_kde_appsdir/kmines
%_kde_datadir/config/kmines.knsrc
%_kde_iconsdir/hicolor/*/apps/kmines.png

#------------------------------------------------------------------------------

%package -n kmines-handbook
Summary: kmines handbook
Conflicts: kmines < 1:4.7.1-2
Requires:  kmines >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kmines-handbook
This package provides the kmines handbook.

%files -n kmines-handbook
%_kde_docdir/HTML/en/kmines

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407245
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401897
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394416
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339502
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334577
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326779
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319336
- imported package kmines

